'use strict';

const archy = require("archy");
const util = require("util");

function makeArchyNode(node) {
    if (node.type === "directory") {
        return {
            label: node.filename,
            nodes: node.children.map(makeArchyNode)
        }
    } else {
        return node.filename
    }
}

module.exports = function renderFilesystemTree(rootDirectory) {
    let archyTree = {
        label: "(root)",
        nodes: rootDirectory.map(makeArchyNode)
    }

    return archy(archyTree);
};
